/*------------------------------------------------------------------
[Table of contents]

1. BuddyPress Overrides
  1.1. BuddyPress Overrides - Media Queries
-------------------------------------------------------------------*/
/*------------------------------------------------------------------*/
/**
 * 1. BuddyPress Overrides
 */
body.buddypress.activation, body.buddypress.registration {
  display: flex;
  height: 100%;
  background: var(--color-wplogin-body);
  overflow: hidden;
}

body.buddypress.activation .vkregister-header, body.buddypress.registration .vkregister-header {
  width: 55%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

body.buddypress.activation .vkregister-header .vkregister-header-pretitle,
body.buddypress.activation .vkregister-header .vkregister-header-title,
body.buddypress.activation .vkregister-header .vkregister-header-text, body.buddypress.registration .vkregister-header .vkregister-header-pretitle,
body.buddypress.registration .vkregister-header .vkregister-header-title,
body.buddypress.registration .vkregister-header .vkregister-header-text {
  color: var(--color-wplogin-header-text);
  text-align: center;
}

body.buddypress.activation .vkregister-header .vkregister-header-pretitle,
body.buddypress.activation .vkregister-header .vkregister-header-title, body.buddypress.registration .vkregister-header .vkregister-header-pretitle,
body.buddypress.registration .vkregister-header .vkregister-header-title {
  text-transform: uppercase;
}

body.buddypress.activation .vkregister-header .vkregister-header-pretitle, body.buddypress.registration .vkregister-header .vkregister-header-pretitle {
  font-size: calc((24 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

body.buddypress.activation .vkregister-header .vkregister-header-title, body.buddypress.registration .vkregister-header .vkregister-header-title {
  font-family: var(--vikinger-font-family-secondary);
  font-size: calc((104 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 900;
}

body.buddypress.activation .vkregister-header .vkregister-header-text, body.buddypress.registration .vkregister-header .vkregister-header-text {
  width: 400px;
  margin: 32px auto 0;
  font-size: calc((18 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.3333333333em;
}

body.buddypress.activation .vkregister-header .vkregister-header-text .bold, body.buddypress.registration .vkregister-header .vkregister-header-text .bold {
  font-weight: 700;
}

body.buddypress.activation #buddypress, body.buddypress.registration #buddypress {
  width: 45%;
  padding: 80px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

body.buddypress.activation #buddypress .vkregister-logo, body.buddypress.registration #buddypress .vkregister-logo {
  display: block;
  width: auto;
  height: auto;
  margin: 0 auto;
}

body.buddypress.activation #buddypress .vkregister-form-title, body.buddypress.registration #buddypress .vkregister-form-title {
  margin: 60px 0 40px;
  font-size: calc((26 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  text-align: center;
}

body.buddypress.activation #buddypress #activate-page #template-notices + p, body.buddypress.registration #buddypress #activate-page #template-notices + p {
  margin: 40px auto 0;
}

body.buddypress.activation #buddypress #template-notices, body.buddypress.registration #buddypress #template-notices {
  width: 356px;
  min-height: 1px;
  margin: 0 auto;
}

body.buddypress.activation #buddypress #template-notices > p, body.buddypress.registration #buddypress #template-notices > p {
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  line-height: 1.375em;
  font-weight: 500;
  text-align: center;
}

body.buddypress.activation #buddypress #template-notices + p, body.buddypress.registration #buddypress #template-notices + p {
  width: 80%;
  margin: 0 auto 40px;
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  line-height: 1.375em;
  font-weight: 500;
  text-align: center;
}

body.buddypress.activation #buddypress .bp-template-notice, body.buddypress.registration #buddypress .bp-template-notice {
  padding: 22px 28px 22px 64px;
  border-radius: 12px;
  box-shadow: var(--color-box-shadow);
  position: relative;
}

body.buddypress.activation #buddypress .bp-template-notice::before, body.buddypress.registration #buddypress .bp-template-notice::before {
  display: block;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 20px;
  left: 20px;
}

body.buddypress.activation #buddypress .bp-template-notice p, body.buddypress.registration #buddypress .bp-template-notice p {
  color: #fff;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.2857142857em;
}

body.buddypress.activation #buddypress .bp-template-notice.updated, body.buddypress.activation #buddypress .bp-template-notice.success, body.buddypress.registration #buddypress .bp-template-notice.updated, body.buddypress.registration #buddypress .bp-template-notice.success {
  background-color: #00c7d9;
}

body.buddypress.activation #buddypress .bp-template-notice.updated::before, body.buddypress.activation #buddypress .bp-template-notice.success::before, body.buddypress.registration #buddypress .bp-template-notice.updated::before, body.buddypress.registration #buddypress .bp-template-notice.success::before {
  content: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAxNi4wLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgaWQ9IlN1Y2Nlc3NfQm94X0ljb24iIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCINCgkgeT0iMHB4IiB3aWR0aD0iMjBweCIgaGVpZ2h0PSIyMHB4IiB2aWV3Qm94PSIwIDAgMjAgMjAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDIwIDIwIiB4bWw6c3BhY2U9InByZXNlcnZlIj4NCjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgY2xpcC1ydWxlPSJldmVub2RkIiBmaWxsPSIjRkZGRkZGIiBkPSJNMTYsMjBINGMtMi4yMDksMC00LTEuNzkxLTQtNFY0YzAtMi4yMDgsMS43OTEtNCw0LTRoMTINCgljMi4yMDksMCw0LDEuNzkxLDQsNHYxMkMyMCwxOC4yMDksMTguMjA5LDIwLDE2LDIweiBNMTgsNGMwLTEuMTAzLTAuODk3LTItMi0ySDRDMi44OTcsMiwyLDIuODk3LDIsNHYxMg0KCWMwLDEuMTAzLDAuODk3LDIuMDAxLDIsMi4wMDFoMTJjMS4xMDMsMCwyLTAuODk4LDItMi4wMDFWNHogTTQuOTk1LDEwLjk3M2wxLjA4OC0xLjc0NmwzLjc3MSwyLjAxNmwzLjI2NS01LjIzN2wxLjg4NiwxLjAwOA0KCWwtNC4zNTQsNi45ODJMNC45OTUsMTAuOTczeiIvPg0KPC9zdmc+DQo=");
}

body.buddypress.activation #buddypress .bp-template-notice.error, body.buddypress.registration #buddypress .bp-template-notice.error {
  background-color: #fd4350;
}

body.buddypress.activation #buddypress .bp-template-notice.error::before, body.buddypress.registration #buddypress .bp-template-notice.error::before {
  content: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAxNi4wLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgaWQ9IkVycm9yX0JveF9JY29uIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB4PSIwcHgiDQoJIHk9IjBweCIgd2lkdGg9IjIwcHgiIGhlaWdodD0iMjBweCIgdmlld0JveD0iMCAwIDIwIDIwIiBlbmFibGUtYmFja2dyb3VuZD0ibmV3IDAgMCAyMCAyMCIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+DQo8cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGNsaXAtcnVsZT0iZXZlbm9kZCIgZmlsbD0iI2ZmZmZmZiIgZD0iTTE2LDIwSDRjLTIuMjA5LDAtNC0xLjc5MS00LTRWNGMwLTIuMjA4LDEuNzkxLTQsNC00aDEyDQoJYzIuMjA5LDAsNCwxLjc5MSw0LDR2MTJDMjAsMTguMjA5LDE4LjIwOSwyMCwxNiwyMHogTTE4LDRjMC0xLjEwMy0wLjg5Ny0yLTItMkg0QzIuODk3LDIsMiwyLjg5NywyLDR2MTINCgljMCwxLjEwMywwLjg5NywyLjAwMSwyLDIuMDAxaDEyYzEuMTAzLDAsMi0wLjg5OCwyLTIuMDAxVjR6IE0xMi40MDIsMTQuMDA2TDEwLDExLjYwM2wtMi40MDMsMi40MDNsLTEuNjAyLTEuNjAzbDIuNDAzLTIuNDAyDQoJTDUuOTk1LDcuNTk4bDEuNjAyLTEuNjAyTDEwLDguMzk5bDIuNDAyLTIuNDAzbDEuNjAzLDEuNjAybC0yLjQwMywyLjQwM2wyLjQwMywyLjQwMkwxMi40MDIsMTQuMDA2eiIvPg0KPC9zdmc+DQo=");
}

body.buddypress.activation #buddypress .page form, body.buddypress.registration #buddypress .page form {
  width: 356px;
  margin: 40px auto 0;
}

body.buddypress.activation #buddypress .page form #pass-strength-result,
body.buddypress.activation #buddypress .page form .error, body.buddypress.registration #buddypress .page form #pass-strength-result,
body.buddypress.registration #buddypress .page form .error {
  margin-top: 12px;
  color: #fd4350;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

body.buddypress.activation #buddypress .page form #pass-strength-result.good, body.buddypress.registration #buddypress .page form #pass-strength-result.good {
  color: #ffba00;
}

body.buddypress.activation #buddypress .page form #pass-strength-result.strong, body.buddypress.registration #buddypress .page form #pass-strength-result.strong {
  color: #00c7d9;
}

body.buddypress.activation #buddypress .page form input[type="text"],
body.buddypress.activation #buddypress .page form input[type="password"],
body.buddypress.activation #buddypress .page form input[type="email"],
body.buddypress.activation #buddypress .page form input[type="tel"],
body.buddypress.activation #buddypress .page form input[type="search"],
body.buddypress.activation #buddypress .page form input[type="number"],
body.buddypress.activation #buddypress .page form select, body.buddypress.registration #buddypress .page form input[type="text"],
body.buddypress.registration #buddypress .page form input[type="password"],
body.buddypress.registration #buddypress .page form input[type="email"],
body.buddypress.registration #buddypress .page form input[type="tel"],
body.buddypress.registration #buddypress .page form input[type="search"],
body.buddypress.registration #buddypress .page form input[type="number"],
body.buddypress.registration #buddypress .page form select {
  height: 52px;
}

body.buddypress.activation #buddypress .page form input[type="text"],
body.buddypress.activation #buddypress .page form input[type="password"],
body.buddypress.activation #buddypress .page form input[type="email"],
body.buddypress.activation #buddypress .page form input[type="tel"],
body.buddypress.activation #buddypress .page form input[type="search"],
body.buddypress.activation #buddypress .page form input[type="number"],
body.buddypress.activation #buddypress .page form textarea, body.buddypress.registration #buddypress .page form input[type="text"],
body.buddypress.registration #buddypress .page form input[type="password"],
body.buddypress.registration #buddypress .page form input[type="email"],
body.buddypress.registration #buddypress .page form input[type="tel"],
body.buddypress.registration #buddypress .page form input[type="search"],
body.buddypress.registration #buddypress .page form input[type="number"],
body.buddypress.registration #buddypress .page form textarea {
  background: var(--color-wplogin-body);
}

body.buddypress.activation #buddypress .page form select, body.buddypress.registration #buddypress .page form select {
  padding: 0 40px 0 20px;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  cursor: pointer;
}

body.buddypress.activation #buddypress .page form .form-item + .submit, body.buddypress.registration #buddypress .page form .form-item + .submit {
  margin-top: 28px;
}

body.buddypress.activation #buddypress .page form .form-input label, body.buddypress.registration #buddypress .page form .form-input label {
  margin: 0;
  color: var(--color-text-alt-2);
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 600;
}

body.buddypress.activation #buddypress .page form label, body.buddypress.registration #buddypress .page form label {
  margin-top: 28px;
}

body.buddypress.activation #buddypress .page form fieldset, body.buddypress.registration #buddypress .page form fieldset {
  margin-bottom: 28px;
}

body.buddypress.activation #buddypress .page form legend,
body.buddypress.activation #buddypress .page form label, body.buddypress.registration #buddypress .page form legend,
body.buddypress.registration #buddypress .page form label {
  margin-bottom: 16px;
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

body.buddypress.activation #buddypress .page form fieldset label, body.buddypress.registration #buddypress .page form fieldset label {
  margin-top: 0;
}

body.buddypress.activation #buddypress .page form fieldset select, body.buddypress.registration #buddypress .page form fieldset select {
  margin-bottom: 16px;
}

body.buddypress.activation #buddypress .page form fieldset select:last-child, body.buddypress.registration #buddypress .page form fieldset select:last-child {
  margin-bottom: 0;
}

body.buddypress.activation #buddypress .page form input[type="submit"], body.buddypress.registration #buddypress .page form input[type="submit"] {
  width: 100%;
  height: 54px;
  padding: 0 18px;
  border-radius: 12px;
  border-color: transparent;
  background: var(--color-secondary);
  color: #fff;
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  box-shadow: var(--color-secondary-shadow);
  cursor: pointer;
  transition: background-color .2s ease-in-out;
}

body.buddypress.activation #buddypress .page form input[type="submit"]:hover, body.buddypress.registration #buddypress .page form input[type="submit"]:hover {
  background: var(--color-secondary-hover);
}

body.buddypress.activation #buddypress .page form .register-section + .register-section, body.buddypress.registration #buddypress .page form .register-section + .register-section {
  margin-top: 32px;
}

body.buddypress.activation #buddypress .page form .register-section h2, body.buddypress.registration #buddypress .page form .register-section h2 {
  font-size: calc((18 / var(--vikinger-font-size-base)) * 1rem);
  margin-bottom: 28px;
}

body.buddypress.activation #buddypress .page form .option-label, body.buddypress.registration #buddypress .page form .option-label {
  cursor: pointer;
}

body.buddypress.activation #buddypress .page form .option-label input[type="checkbox"],
body.buddypress.activation #buddypress .page form .option-label input[type="radio"], body.buddypress.registration #buddypress .page form .option-label input[type="checkbox"],
body.buddypress.registration #buddypress .page form .option-label input[type="radio"] {
  margin-right: 6px;
  position: relative;
  top: 2px;
}

body.buddypress.activation #buddypress .page form .wp-editor-tools, body.buddypress.registration #buddypress .page form .wp-editor-tools {
  margin-bottom: 12px;
}

body.buddypress.activation #buddypress .page form .wp-switch-editor, body.buddypress.registration #buddypress .page form .wp-switch-editor {
  width: auto;
  height: 30px;
  margin: 0 6px 0 0;
  padding: 0 32px;
  border-radius: 12px;
  border: 1px solid var(--color-border);
  background-color: transparent;
  color: var(--color-text-alt-2);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  box-shadow: none;
}

body.buddypress.activation #buddypress .page form .wp-switch-editor:last-child, body.buddypress.registration #buddypress .page form .wp-switch-editor:last-child {
  margin-right: 0;
}

body.buddypress.activation #buddypress .page form .tmce-active .switch-tmce, body.buddypress.registration #buddypress .page form .tmce-active .switch-tmce {
  border-color: var(--color-primary);
  background-color: var(--color-primary);
  color: #fff;
}

body.buddypress.activation #buddypress .page form .html-active .switch-html, body.buddypress.registration #buddypress .page form .html-active .switch-html {
  border-color: var(--color-primary);
  background-color: var(--color-primary);
  color: #fff;
}

body.buddypress.activation #buddypress .page form .error,
body.buddypress.activation #buddypress .page form .vk-bp-register-disabled-text, body.buddypress.registration #buddypress .page form .error,
body.buddypress.registration #buddypress .page form .vk-bp-register-disabled-text {
  color: #fd4350;
  font-weight: 700;
}

body.buddypress.activation #buddypress .page form .vk-bp-register-disabled-text, body.buddypress.registration #buddypress .page form .vk-bp-register-disabled-text {
  text-align: center;
}

body.buddypress.activation #buddypress .page form .error, body.buddypress.registration #buddypress .page form .error {
  margin-bottom: 8px;
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
}

body.buddypress.activation #buddypress .page form .clear-value, body.buddypress.registration #buddypress .page form .clear-value {
  color: var(--color-primary);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

body.buddypress.activation #buddypress .page form .field-visibility-settings-toggle,
body.buddypress.activation #buddypress .page form .field-visibility-settings-notoggle, body.buddypress.registration #buddypress .page form .field-visibility-settings-toggle,
body.buddypress.registration #buddypress .page form .field-visibility-settings-notoggle {
  margin-top: 12px;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

body.buddypress.activation #buddypress .page form .field-visibility-settings-toggle .current-visibility-level,
body.buddypress.activation #buddypress .page form .field-visibility-settings-notoggle .current-visibility-level, body.buddypress.registration #buddypress .page form .field-visibility-settings-toggle .current-visibility-level,
body.buddypress.registration #buddypress .page form .field-visibility-settings-notoggle .current-visibility-level {
  color: var(--color-primary-dark);
}

body.buddypress.activation #buddypress .vk-bp-register-page-nav, body.buddypress.registration #buddypress .vk-bp-register-page-nav {
  margin: 32px auto 0;
  padding: 0;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  text-align: center;
}

body.buddypress.activation #buddypress .vk-bp-register-page-nav a, body.buddypress.registration #buddypress .vk-bp-register-page-nav a {
  color: var(--color-text);
  transition: color .2s ease-in-out;
}

body.buddypress.activation #buddypress .vk-bp-register-page-nav a:focus, body.buddypress.activation #buddypress .vk-bp-register-page-nav a:hover, body.buddypress.registration #buddypress .vk-bp-register-page-nav a:focus, body.buddypress.registration #buddypress .vk-bp-register-page-nav a:hover {
  color: var(--color-primary);
}

/**
 * 1.1. BuddyPress Overrides - Media Queries
 */
@media screen and (max-width: 1365px) {
  body.buddypress.activation,
  body.buddypress.registration {
    display: block;
    overflow: auto;
  }

  body.buddypress.activation .vkregister-header,
  body.buddypress.registration .vkregister-header {
    display: none;
  }

  body.buddypress.activation #buddypress,
  body.buddypress.registration #buddypress {
    width: 100%;
    display: block;
  }
}

@media screen and (max-width: 480px) {
  body.buddypress.activation #buddypress,
  body.buddypress.registration #buddypress {
    width: 90%;
    margin: 0 auto;
  }

  body.buddypress.activation #buddypress .page form,
  body.buddypress.registration #buddypress .page form,
  body.buddypress.activation #buddypress .page #template-notices,
  body.buddypress.registration #buddypress .page #template-notices {
    width: auto;
  }
}